/*
 * File						: fixedsys.c
 * Description		: This file is iHMI43 fixedsys.
 * Author					: XiaomaGee@Gmail.com
 * Copyright			:
 *
 * History
 *----------------
 * Rev						: 0.00
 * Date						: 08/25/2012
 *
 * create. 
 *----------------
 */
//---------------- Include files ------------------------//
#include "..\include\font.h"
#include <string.h>

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *);

//---------------- Variable -----------------------------//
extern const unsigned char rc_fixedsys[];

SINGLE_BYTE_FONT_T fixedsys = {
	.name = "Fixedsys",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 8,
	.dat = (void*)rc_fixedsys,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};
//-----------------Function------------------------------//
/*
 * Name							: get
 * Description			: ---
 * Author						: XiaomaGee.
 *
 * History
 * -----------------
 * Rev							: 0.00
 * Date							: 08/27/2012
 * 
 * create.
 * -----------------
 */
static int
get(FONT_MATRIX_T *f)
{
	f->direction = DIRECTION_V;
	f->height = fixedsys.height;
	f->width = fixedsys.width;
	f->dat = (char*)fixedsys.dat + (f->character[0] - ' ') * 16;

	return 0;
}

