/*
 * FILE								: simsun16f.c
 * DESCRIPTION				: This file is iHMI simsun16f.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 08/25/2012
 *
 * create.
 * --------------------
 */

//---------------- Include files ------------------------//

#include <string.h>
#include "..\include\config.h"
#include "..\include\font.h"
#include "..\fatfs\ff.h"

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *f);
//---------------- Variable -----------------------------//

DOUBLE_BYTE_FONT_T simsun16f = {
	.name = "Simsun 16 ",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 16,
	.dat = NULL,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};


static FIL fil;
//-----------------Function------------------------------//
/*
 * Name							: get
 * Description			: ---
 * Author						: XiaomaGee.
 *
 * History
 * -----------------
 * Rev							: 0.00
 * Date							: 08/27/2012
 * 
 * create.
 * -----------------
 */
static int
get(FONT_MATRIX_T *f)
{
	unsigned long int offset;
	static int first = 0;
	unsigned int counter=0;
		
	 	if(first == 0){ 
		f_open(&fil,"0:/system/hzk16f",FA_READ);
		first = 1;
	}
	
	
	offset = f->character[0];
	offset -= 0xa1;
	offset *= 94;
	offset += f->character[1];
	offset -= 0xa1;
	offset *= 32;
	
	f_lseek(&fil,offset);
	f_read(&fil,font_buffer,32,&counter);
	
	f->direction = DIRECTION_H;
	f->height = simsun16.height;
	f->width = simsun16.width;

	f->dat = font_buffer;

	return 0;
}

