/*
 * File								: diskio.c
 * Description				: This file is iHMI43 diskio.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 *--------------------
 * Rev								: 0.00
 * Date								: 03/08/2012
 *
 * create.
 *--------------------
 */ 
//-----------------Include files-------------------------//
#include "..\fatfs\diskio.h"
#include "..\include\flash.h"

//-----------------Function-----------------------------//
/*
 * Name										: get_fattime
 * Description						: ---
 * Author									: XiaomaGee.
 *
 * History
 * -----------------------
 * Rev										: 0.00
 * Date										: 03/08/2012
 * 
 * create.
 * ----------------------
 */
unsigned long int get_fattime(void)
{
	return 0;
}	

/*
 * Name										: disk_initialize
 * Description						: ---
 * Author									: XiaomaGee.
 *
 * History
 * -----------------------
 * Rev										: 0.00
 * Date										: 03/08/2012
 * 
 * create.
 * ----------------------
 */
DSTATUS disk_initialize(BYTE drv)
 {
  return RES_OK;
 }

/*
 * Name										: disk_status
 * Description						: ---
 * Author									: XiaomaGee.
 *
 * History
 * -----------------------
 * Rev										: 0.00
 * Date										: 03/08/2012
 * 
 * create.
 * ----------------------
 */
DSTATUS disk_status(BYTE drv)
{
		return RES_OK;
	}
	
/*
 * Name										: disk_ioctl
 * Description						: ---
 * Author									: XiaomaGee.
 *
 * History
 * -----------------------
 * Rev										: 0.00
 * Date										: 03/08/2012
 * 
 * create.
 * ----------------------
 */
DRESULT disk_ioctl(BYTE drv, BYTE ctrl, void *buff)
{
		if(ctrl == GET_SECTOR_SIZE) *(unsigned long int *)buff = 4096;
	 
		return RES_OK;
}

/*
 * Name										: disk_read
 * Description						: ---
 * Author									: XiaomaGee.
 *
 * History
 * -----------------------
 * Rev										: 0.00
 * Date										: 03/08/2012
 * 
 * create.
 * ----------------------
 */
DRESULT disk_read(BYTE drv, BYTE *buff, DWORD sector, BYTE count)
{
	int i;

	for(i = 0; i< count ;i++){
		w25qxx.readn((sector + i)* 4096,(char *)buff + i*4096,4096);
	}
 
	return RES_OK;
}
/*
 * Name										: disk_write
 * Description						: ---
 * Author									: XiaomaGee.
 *
 * History
 * -----------------------
 * Rev										: 0.00
 * Date										: 03/08/2012
 * 
 * create.
 * ----------------------
 */
DRESULT disk_write(BYTE drv, const BYTE* buff, DWORD sector, BYTE count)
{
	int i;
	
	for(i = 0; i< count ;i++){
		w25qxx.writen((sector + i)* 4096,(char *)buff + i*4096,4096);
	}
	
	return RES_OK;
}
