/*
 * FILE								: bmp.h
 * DESCRIPTION				: This file is iHMI43 bmp file header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 03/05/2012
 *
 * create.
 * --------------------
 */
#ifndef __systick_h__
#define __systick_h__

//-----------------Include files-------------------------//
#include "..\include\stm32f10x_reg.h"

//----------------- Typedef -----------------------------//
#define	EVENT_CLEAR	0

typedef  struct{
	int (* initialize)(void);
	volatile int counter;
	int second_flag;
	int minute_flag;
	int flash;
}SYS_TICK_T;

//----------------- Extern ------------------------------//

extern SYS_TICK_T systick; 
extern int event;

extern const int f_event_queue[];
extern const int m_event_queue[];

#endif //__systick_h__


