/*
 * File						: songti24.c
 * Description		: This file is iHMI43 songti24.
 * Author					: XiaomaGee@Gmail.com
 * Copyright			:
 *
 * History
 *----------------
 * Rev						: 0.00
 * Date						: 08/25/2012
 *
 * create. 
 *----------------
 */
//---------------- Include files ------------------------//

#include <string.h>
#include "..\include\config.h"
#include "..\include\font.h"
#include "..\fatfs\ff.h"

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *f);
//---------------- Variable -----------------------------//

DOUBLE_BYTE_FONT_T songti24 = {
	.name = "songti 24 ",
	.id = FONT_UNREGISTERED,
	.height = 24,
	.width = 24,
	.dat = NULL,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};

//-----------------Function------------------------------//
/*
 * Name							: get
 * Description			: ---
 * Author						: XiaomaGee.
 *
 * History
 * -----------------
 * Rev							: 0.00
 * Date							: 08/27/2012
 * 
 * create.
 * -----------------
 */
static int
get(FONT_MATRIX_T *f)
{
	FIL fila;
	unsigned long int offset;
	unsigned int counter;
  	
	f_open(&fila,"0:/system/hzk24s",FA_READ);
 	
	offset = f->character[0];
	offset -= 0xa1;
	offset -= 15;
	offset *= 94;
	offset += f->character[1];
	offset -= 0xa1;
	offset *= 72;

	f->direction = DIRECTION_V;
	f->height = songti24.height;
	f->width = songti24.width;
	
	f_lseek(&fila,offset);
	f_read(&fila,font_buffer,72,&counter);

	f->dat = font_buffer;

	f_close(&fila);
	
	return 0;
}

