/*
 * Name								: initialize
 * Description				: This file is iHMI43 fsmc driver demo.
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
//---------------- Include files ------------------------//
#include "..\include\hardware.h"
#include "..\include\fsmc.h"

//---------------- Function Prototype -------------------//
static int initialize(void);

//---------------- Variable -----------------------------//
FSMC_T fsmc = {
	.initialize = initialize
};


//-----------------Function------------------------------//
/*
 * Name								: initialize
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
static int initialize(void)
{
	GPIOD->CRH.W = 0xbbbbbbbb;
	GPIOD->CRL.W = 0xbbbbbbbb;

	GPIOE->CRH.W = 0xbbbbbbbb;
	GPIOE->CRL.W = 0xbbbbbbbb;

	FSMC_Bank1->BCR1 &= ~(1 << 1 | 1 << 2 | 1 << 3);

	FSMC_Bank1->BCR1 |= 1 << 14; //EXTMOD

	FSMC_Bank1->BTR1 = 0x601;

	FSMC_Bank1E->BWTR1 = 0X300;

	return 0;
}


