/*
 * File						: systick.c
 * Description				: This file is iHMI43 systick.
 * Author					: XiaomaGee@Gmail.com
 * Copyright				:
 *
 * History
 *--------------------
 * Rev						: 0.00
 * Date						: 08/25/2012
 *
 * create.
 *--------------------
 */ 
//---------------- Include files ------------------------//
#include "..\include\hardware.h"
#include "..\include\systick.h"
#include "..\include\evtft.h"
#include "..\include\font.h"
#include "..\include\systick.h"
#include "..\include\integer.h"
#include "..\fatfs\ff.h"

//---------------- Function Prototype -------------------//
static int initialize(void);
int event;

//---------------- Variable -----------------------------//
SYS_TICK_T systick={
	.initialize=initialize,
	.counter=0	
};

//-----------------Function------------------------------//
/*
 * Name								: initialize
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * --------------------
 */
static int
initialize(void)
{	
	SYSTICK->LOAD.B.RELOAD=875000/2;	   //50ms
	SYSTICK->CTRL.B.ENABLE=1;
	SYSTICK->CTRL.B.TICKINT=1;
	SYSTICK->CTRL.B.CLKSOURCE=0;	       //hclk / 8 =9MHz CLK source

	return 0;
}
/*
 * Name								: SysTick_Handler
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * --------------------
 */
void SysTick_Handler(void)
{	 
//	BOX_T b;
	 
	systick.counter ++;	
	if((systick.counter % 4) == 0){
// 		do
// 		{
// 			ads7843.Convert_Pos();
// 			if(Pen_Point.x0>350&&Pen_Point.x0<400&&Pen_Point.y0>120&&Pen_Point.y0<170)	
// 			{
// 			b.startx=350;
// 			b.starty=120;
// 			b.endx=400;
// 			b.endy=170;
// 			b.attrib=BOX_RECESSED;		//BOX_RAISED	BOX_RECESSED
// 			b.color=COLOR_WINDOW_BACKGROUND;
// 			gui.box(&b); 
// 			}
//     else{
// 			b.startx=350;
// 			b.starty=120;
// 			b.endx=400;
// 			b.endy=170;
// 			b.attrib=BOX_RAISED;		//BOX_RAISED	BOX_RECESSED
// 			b.color=COLOR_WINDOW_BACKGROUND;
// 			gui.box(&b);
// 			}	
			
//  			if(Pen_Point.x0>470&&Pen_Point.y0>265&&Pen_Point.x0<10&&Pen_Point.y0<10)	lcd.cls(COLOR_WINDOW_BACKGROUND);//
//  			else{
//  			ads7843.Draw_Big_Point(Pen_Point.x0,Pen_Point.y0);//ͼ	    
//  	
//  			}
//		}while((GPIOB->IDR.B.IO0)==0);//PENһֱЧ,һֱִ
//	}
	if((systick.counter % 20) ==0)systick.second_flag = 1;
	
	if((systick.counter % 600) == 0)systick.minute_flag = 1; //half minute
	}
}

