/*
 * FILE								: pwm.h
 * DESCRIPTION				: This file is iHMI43 pwm file header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 03/05/2012
 *
 * create.
 * --------------------
 */
#ifndef __pwm_h__
#define __pwm_h__

//-----------------Include files-------------------------//
#include "..\include\stm32f10x_reg.h"

//----------------- Typedef -----------------------------//
typedef struct{
	int (* initialize)(int /* light */);
	int (* open)(int);
	int (* close)(void);
}PWM_T;

//---------------- Extern -------------------------------//
extern PWM_T pwm;

#endif //__pwm_h__
